## org.apache.ivy.plugins.resolver.util
Interface ResourceMDParser

    public interface ResourceMDParser

Method Summary
`MDResolvedResource` `parse(Resource resource, java.lang.String rev)` Parses the module descriptor designed by the given resource.

Method Detail

### parse

    MDResolvedResource parse(Resource resource,
                             java.lang.String rev)

  Parses the module descriptor designed by the given resource.

  Parameters:
    `resource` - the resource at which the module descriptor is located
    `rev` - the revision at which the module descriptor should be
  Returns:
    the parsed module descriptor as a `MDResolvedResource`, or `null` if parsing has failed or if the resource is not available.